Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 7621

Summary: KDE kvt does not update /var/run/utmp
Product: [Retired] Red Hat Linux Reporter: roberto
Component: kdebaseAssignee: Bernhard Rosenkraenzer <bero>
Status: CLOSED WONTFIX QA Contact:
Severity: low Docs Contact:
Priority: medium    
Version: 6.1   
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 1999-12-08 14:54:25 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description roberto 1999-12-06 06:59:42 UTC
The KDE virtual terminal program (kvt) does not update entries in
/var/run/utmp. This means that users do not appear in the 'who' and 'w'
commands. With 'chmod u+s /usr/bin/kvt' the proper behaviour results, but
this may not be the proper solution (e.g. xterm is NOT suid=root and it is
able to update the /var/run/utmp file).

Comment 1 Bernhard Rosenkraenzer 1999-12-08 14:54:59 UTC
Use konsole instead. kvt is obsolete and will be removed in the next version.

------- Email From  Roberto Togneri <roberto@ee.uwa.edu.au> 12/08/99 18:17 -------
Attached to Bug # 7621.